Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlDoctype.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlDoctype.PropertyKeys>
          javax.faces.component.html.HtmlDoctype.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlDoctype.PropertyKeys>

Enclosing class:
  HtmlDoctype

    protected static enum HtmlDoctype.PropertyKeys

extends java.lang.Enum<HtmlDoctype.PropertyKeys>

Enum Constant Summary
`publicVal`
`rootElement`
`system`

Method Summary
`java.lang.String` | `toString()`
`static HtmlDoctype.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlDoctype.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### publicVal

    public static final HtmlDoctype.PropertyKeys publicVal

### rootElement

    public static final HtmlDoctype.PropertyKeys rootElement

### system

    public static final HtmlDoctype.PropertyKeys system

Method Detail

### values

    public static HtmlDoctype.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlDoctype.PropertyKeys c : HtmlDoctype.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlDoctype.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlDoctype.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.